meta:
  id: wav
  file-extension: wav
  encoding: ascii
  endian: le
seq:
  - id: magic
    type: str
    size: 4
  - id: size
    type: u4
  - id: wave_str
    type: str
    size: 4
  - id: sections
    type: section
    # Repeat until the end of the stream
    repeat: eos
instances: {}
types:
  section:
    seq:
      - id: name
        type: str
        size: 4
      - id: size
        type: u4
      - id: content
        size: size
        # No type yet - just read in a byte array of the given
        # size, which refers to the size field just before
enums: {}
doc: Hello, world
doc-ref: https://example.com
